
{************************************************}
{                                                }
{            Delphi XML Data Binding             }
{                                                }
{         Generated on: 25.6.2005 9:46:36        }
{       Generated from: C:\24\NajdiSpojeni.xml   }
{   Settings stored in: C:\24\NajdiSpojeni.xdb   }
{                                                }
{************************************************}
unit NajdiSpojeniDef;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLSpojeniType = interface;
  IXMLSpojType = interface;
  IXMLSpojTypeList = interface;
  IXMLLinkaType = interface;
  IXMLStaniceType = interface;
  IXMLStaniceTypeList = interface;
  IXMLString_List = interface;

{ IXMLSpojeniType }

  IXMLSpojeniType = interface(IXMLNodeCollection)
    ['{502FC4EA-6BF4-427B-BBD5-499FE4BB3D9A}']
    { Property Accessors }
    function Get_Spoj(Index: Integer): IXMLSpojTypeList;
    { Methods & Properties }
    function Add: IXMLSpojType;
    function Insert(const Index: Integer): IXMLSpojType;
    property Spoj[Index: Integer]: IXMLSpojTypeList read Get_Spoj; default;
  end;

{ IXMLSpojType }

  IXMLSpojType = interface(IXMLNodeCollection)
    ['{697D0053-3B9E-4F82-B083-A302A3F0DEB2}']
    { Property Accessors }
    function Get_Linka(Index: Integer): IXMLLinkaType;
    { Methods & Properties }
    function Add: IXMLLinkaType;
    function Insert(const Index: Integer): IXMLLinkaType;
    property Linka[Index: Integer]: IXMLLinkaType read Get_Linka; default;
  end;

{ IXMLSpojTypeList }

  IXMLSpojTypeList = interface(IXMLNodeCollection)
    ['{EF03A34A-4A66-45D0-9BFC-0BD13C0F5767}']
    { Methods & Properties }
    function Add: IXMLSpojType;
    function Insert(const Index: Integer): IXMLSpojType;
    function Get_Item(Index: Integer): IXMLSpojType;
    property Items[Index: Integer]: IXMLSpojType read Get_Item; default;
  end;

{ IXMLLinkaType }

  IXMLLinkaType = interface(IXMLNode)
    ['{A9521F76-A69A-4716-9FEF-373C462B31E6}']
    { Property Accessors }
    function Get_Cislo: WideString;
    function Get_Stanice: IXMLStaniceTypeList;
    function Get_Poznamka: IXMLString_List;
    procedure Set_Cislo(Value: WideString);
    { Methods & Properties }
    property Cislo: WideString read Get_Cislo write Set_Cislo;
    property Stanice: IXMLStaniceTypeList read Get_Stanice;
    property Poznamka: IXMLString_List read Get_Poznamka;
  end;

{ IXMLStaniceType }

  IXMLStaniceType = interface(IXMLNode)
    ['{EFB9774C-1CA0-4334-AE5A-6CE18DD8E737}']
    { Property Accessors }
    function Get_Prijezd: WideString;
    function Get_Odjezd: WideString;
    procedure Set_Prijezd(Value: WideString);
    procedure Set_Odjezd(Value: WideString);
    { Methods & Properties }
    property Prijezd: WideString read Get_Prijezd write Set_Prijezd;
    property Odjezd: WideString read Get_Odjezd write Set_Odjezd;
  end;

{ IXMLStaniceTypeList }

  IXMLStaniceTypeList = interface(IXMLNodeCollection)
    ['{950B4585-4D87-4497-9226-DB362CC8B990}']
    { Methods & Properties }
    function Add: IXMLStaniceType;
    function Insert(const Index: Integer): IXMLStaniceType;
    function Get_Item(Index: Integer): IXMLStaniceType;
    property Items[Index: Integer]: IXMLStaniceType read Get_Item; default;
  end;

{ IXMLString_List }

  IXMLString_List = interface(IXMLNodeCollection)
    ['{3FC62344-89A4-4A90-8FC0-53DF9CFAC94F}']
    { Methods & Properties }
    function Add(const Value: WideString): IXMLNode;
    function Insert(const Index: Integer; const Value: WideString): IXMLNode;
    function Get_Item(Index: Integer): WideString;
    property Items[Index: Integer]: WideString read Get_Item; default;
  end;

{ Forward Decls }

  TXMLSpojeniType = class;
  TXMLSpojType = class;
  TXMLSpojTypeList = class;
  TXMLLinkaType = class;
  TXMLStaniceType = class;
  TXMLStaniceTypeList = class;
  TXMLString_List = class;

{ TXMLSpojeniType }

  TXMLSpojeniType = class(TXMLNodeCollection, IXMLSpojeniType)
  protected
    { IXMLSpojeniType }
    FSpoj:IXMLSpojTypeList;
    function Get_Spoj(Index: Integer): IXMLSpojTypeList;
    function Add: IXMLSpojType;
    function Insert(const Index: Integer): IXMLSpojType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLSpojType }

  TXMLSpojType = class(TXMLNodeCollection, IXMLSpojType)
  protected
    { IXMLSpojType }
    function Get_Linka(Index: Integer): IXMLLinkaType;
    function Add: IXMLLinkaType;
    function Insert(const Index: Integer): IXMLLinkaType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLSpojTypeList }

  TXMLSpojTypeList = class(TXMLNodeCollection, IXMLSpojTypeList)
  protected
    { IXMLSpojTypeList }
    function Add: IXMLSpojType;
    function Insert(const Index: Integer): IXMLSpojType;
    function Get_Item(Index: Integer): IXMLSpojType;
  end;

{ TXMLLinkaType }

  TXMLLinkaType = class(TXMLNode, IXMLLinkaType)
  private
    FStanice: IXMLStaniceTypeList;
    FPoznamka: IXMLString_List;
  protected
    { IXMLLinkaType }
    function Get_Cislo: WideString;
    function Get_Stanice: IXMLStaniceTypeList;
    function Get_Poznamka: IXMLString_List;
    procedure Set_Cislo(Value: WideString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLStaniceType }

  TXMLStaniceType = class(TXMLNode, IXMLStaniceType)
  protected
    { IXMLStaniceType }
    function Get_Prijezd: WideString;
    function Get_Odjezd: WideString;
    procedure Set_Prijezd(Value: WideString);
    procedure Set_Odjezd(Value: WideString);
  end;

{ TXMLStaniceTypeList }

  TXMLStaniceTypeList = class(TXMLNodeCollection, IXMLStaniceTypeList)
  protected
    { IXMLStaniceTypeList }
    function Add: IXMLStaniceType;
    function Insert(const Index: Integer): IXMLStaniceType;
    function Get_Item(Index: Integer): IXMLStaniceType;
  end;

{ TXMLString_List }

  TXMLString_List = class(TXMLNodeCollection, IXMLString_List)
  protected
    { IXMLString_List }
    function Add(const Value: WideString): IXMLNode;
    function Insert(const Index: Integer; const Value: WideString): IXMLNode;
    function Get_Item(Index: Integer): WideString;
  end;

{ Global Functions }

function GetSpojeni(Doc: IXMLDocument): IXMLSpojeniType;
function LoadSpojeni(const FileName: WideString): IXMLSpojeniType;
function NewSpojeni: IXMLSpojeniType;

implementation

uses SeznamStanicDef;

{ Global Functions }

function GetSpojeni(Doc: IXMLDocument): IXMLSpojeniType;
begin
  Result := Doc.GetDocBinding('Spojeni', TXMLSpojeniType) as IXMLSpojeniType;
end;
function LoadSpojeni(const FileName: WideString): IXMLSpojeniType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('Spojeni', TXMLSpojeniType) as IXMLSpojeniType;
end;

function NewSpojeni: IXMLSpojeniType;
begin
  Result := NewXMLDocument.GetDocBinding('Spojeni', TXMLSpojeniType) as IXMLSpojeniType;
end;

{ TXMLSpojeniType }

procedure TXMLSpojeniType.AfterConstruction;
begin
  RegisterChildNode('Spoj', TXMLSpojType);
  FSpoj := CreateCollection(TXMLSpojTypeList, IXMLSpojType, 'Spoj') as IXMLSpojTypeList;
  ItemTag := 'Spoj';
  ItemInterface := IXMLSpojTypeList;
  inherited;
end;

function TXMLSpojeniType.Get_Spoj(Index: Integer): IXMLSpojTypeList;
begin
  Result := FSpoj;
end;

function TXMLSpojeniType.Add: IXMLSpojType;
begin
  Result := AddItem(-1) as IXMLSpojType;
end;

function TXMLSpojeniType.Insert(const Index: Integer): IXMLSpojType;
begin
  Result := AddItem(Index) as IXMLSpojType;
end;


{ TXMLSpojType }

procedure TXMLSpojType.AfterConstruction;
begin
  RegisterChildNode('Linka', TXMLLinkaType);
  ItemTag := 'Linka';
  ItemInterface := IXMLLinkaType;
  inherited;
end;

function TXMLSpojType.Get_Linka(Index: Integer): IXMLLinkaType;
begin
  Result := List[Index] as IXMLLinkaType;
end;

function TXMLSpojType.Add: IXMLLinkaType;
begin
  Result := AddItem(-1) as IXMLLinkaType;
end;

function TXMLSpojType.Insert(const Index: Integer): IXMLLinkaType;
begin
  Result := AddItem(Index) as IXMLLinkaType;
end;


{ TXMLSpojTypeList }

function TXMLSpojTypeList.Add: IXMLSpojType;
begin
  Result := AddItem(-1) as IXMLSpojType;
end;

function TXMLSpojTypeList.Insert(const Index: Integer): IXMLSpojType;
begin
  Result := AddItem(Index) as IXMLSpojType;
end;

function TXMLSpojTypeList.Get_Item(Index: Integer): IXMLSpojType;
begin
  Result := List[Index] as IXMLSpojType;
end;

{ TXMLLinkaType }

procedure TXMLLinkaType.AfterConstruction;
begin
  RegisterChildNode('Stanice', TXMLStaniceType);
  FStanice := CreateCollection(TXMLStaniceTypeList, IXMLStaniceType, 'Stanice') as IXMLStaniceTypeList;
  FPoznamka := CreateCollection(TXMLString_List, IXMLNode, 'Poznamka') as IXMLString_List;
  inherited;
end;

function TXMLLinkaType.Get_Cislo: WideString;
begin
  Result := AttributeNodes['cislo'].Text;
end;

procedure TXMLLinkaType.Set_Cislo(Value: WideString);
begin
  SetAttribute('cislo', Value);
end;

function TXMLLinkaType.Get_Stanice: IXMLStaniceTypeList;
begin
  Result := FStanice;
end;

function TXMLLinkaType.Get_Poznamka: IXMLString_List;
begin
  Result := FPoznamka;
end;

{ TXMLStaniceType }

function TXMLStaniceType.Get_Prijezd: WideString;
begin
  Result := AttributeNodes['prijezd'].Text;
end;

procedure TXMLStaniceType.Set_Prijezd(Value: WideString);
begin
  SetAttribute('prijezd', Value);
end;

function TXMLStaniceType.Get_Odjezd: WideString;
begin
  Result := AttributeNodes['odjezd'].Text;
end;

procedure TXMLStaniceType.Set_Odjezd(Value: WideString);
begin
  SetAttribute('odjezd', Value);
end;

{ TXMLStaniceTypeList }

function TXMLStaniceTypeList.Add: IXMLStaniceType;
begin
  Result := AddItem(-1) as IXMLStaniceType;
end;

function TXMLStaniceTypeList.Insert(const Index: Integer): IXMLStaniceType;
begin
  Result := AddItem(Index) as IXMLStaniceType;
end;

function TXMLStaniceTypeList.Get_Item(Index: Integer): IXMLStaniceType;
begin
  Result := List[Index] as IXMLStaniceType;
end;

{ TXMLString_List }

function TXMLString_List.Add(const Value: WideString): IXMLNode;
begin
  Result := AddItem(-1);
  Result.NodeValue := Value;
end;


function TXMLString_List.Insert(const Index: Integer; const Value: WideString): IXMLNode;
begin
  Result := AddItem(Index);
  Result.NodeValue := Value;
end;


function TXMLString_List.Get_Item(Index: Integer): WideString;
begin
  Result := List[Index].NodeValue;
end;

end.
