
{************************************************}
{                                                }
{            Delphi XML Data Binding             }
{                                                }
{         Generated on: 25.6.2005 9:18:49        }
{       Generated from: C:\24\SeznamStanic.xml   }
{   Settings stored in: C:\24\SeznamStanic.xdb   }
{                                                }
{************************************************}
unit SeznamStanicDef;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLSeznamStanicType = interface;

{ IXMLSeznamStanicType }

  IXMLSeznamStanicType = interface(IXMLNodeCollection)
    ['{8744F038-3BC0-4044-B602-78E34020E368}']
    { Property Accessors }
    function Get_Stanice(Index: Integer): WideString;
    { Methods & Properties }
    function Add(const Stanice: WideString): IXMLNode;
    function Insert(const Index: Integer; const Stanice: WideString): IXMLNode;
    property Stanice[Index: Integer]: WideString read Get_Stanice; default;
  end;

{ Forward Decls }

  TXMLSeznamStanicType = class;

{ TXMLSeznamStanicType }

  TXMLSeznamStanicType = class(TXMLNodeCollection, IXMLSeznamStanicType)
  protected
    { IXMLSeznamStanicType }
    function Get_Stanice(Index: Integer): WideString;
    function Add(const Stanice: WideString): IXMLNode;
    function Insert(const Index: Integer; const Stanice: WideString): IXMLNode;
  public
    procedure AfterConstruction; override;
  end;

{ Global Functions }

function GetSeznamStanic(Doc: IXMLDocument): IXMLSeznamStanicType;
function LoadSeznamStanic(const FileName: WideString): IXMLSeznamStanicType;
function NewSeznamStanic: IXMLSeznamStanicType;

implementation

{ Global Functions }

function GetSeznamStanic(Doc: IXMLDocument): IXMLSeznamStanicType;
begin
  Result := Doc.GetDocBinding('SeznamStanic', TXMLSeznamStanicType) as IXMLSeznamStanicType;
end;
function LoadSeznamStanic(const FileName: WideString): IXMLSeznamStanicType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('SeznamStanic', TXMLSeznamStanicType) as IXMLSeznamStanicType;
end;

function NewSeznamStanic: IXMLSeznamStanicType;
begin
  Result := NewXMLDocument.GetDocBinding('SeznamStanic', TXMLSeznamStanicType) as IXMLSeznamStanicType;
end;

{ TXMLSeznamStanicType }

procedure TXMLSeznamStanicType.AfterConstruction;
begin
  ItemTag := 'Stanice';
  ItemInterface := IXMLNode;
  inherited;
end;

function TXMLSeznamStanicType.Get_Stanice(Index: Integer): WideString;
begin
  Result := ChildNodes['Stanice'].Text;
end;

function TXMLSeznamStanicType.Add(const Stanice: WideString): IXMLNode;
begin
  Result := AddItem(-1);
  Result.NodeValue := Stanice;
end;


function TXMLSeznamStanicType.Insert(const Index: Integer; const Stanice: WideString): IXMLNode;
begin
  Result := AddItem(Index);
  Result.NodeValue := Stanice;
end;



end.
