
{***********************************************}
{                                               }
{            Delphi XML Data Binding            }
{                                               }
{         Generated on: 25.6.2005 10:40:05      }
{       Generated from: C:\24\Server\data.xsd   }
{   Settings stored in: C:\24\Server\data.xdb   }
{                                               }
{***********************************************}
unit data;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  IXMLLinkyType = interface;
  IXMLLinkaType = interface;
  IXMLStaniceType = interface;
  IXMLStaniceTypeList = interface;
  IXMLString_List = interface;

{ IXMLLinkyType }

  IXMLLinkyType = interface(IXMLNodeCollection)
    ['{0BCB78C3-9593-4421-A7B6-DD005B4AAA61}']
    { Property Accessors }
    function Get_Linka(Index: Integer): IXMLLinkaType;
    { Methods & Properties }
    function Add: IXMLLinkaType;
    function Insert(const Index: Integer): IXMLLinkaType;
    property Linka[Index: Integer]: IXMLLinkaType read Get_Linka; default;
  end;

{ IXMLLinkaType }

  IXMLLinkaType = interface(IXMLNode)
    ['{2561D9E4-B237-437E-892C-3EC14F72E04A}']
    { Property Accessors }
    function Get_Cislo: WideString;
    function Get_Stanice: IXMLStaniceTypeList;
    function Get_Poznamka: IXMLString_List;
    procedure Set_Cislo(Value: WideString);
    { Methods & Properties }
    property Cislo: WideString read Get_Cislo write Set_Cislo;
    property Stanice: IXMLStaniceTypeList read Get_Stanice;
    property Poznamka: IXMLString_List read Get_Poznamka;
  end;

{ IXMLStaniceType }

  IXMLStaniceType = interface(IXMLNode)
    ['{3485CE46-CE6D-4A3D-8BFB-ECB159D99FFA}']
    { Property Accessors }
    function Get_Prijezd: WideString;
    function Get_Odjezd: WideString;
    procedure Set_Prijezd(Value: WideString);
    procedure Set_Odjezd(Value: WideString);
    { Methods & Properties }
    property Prijezd: WideString read Get_Prijezd write Set_Prijezd;
    property Odjezd: WideString read Get_Odjezd write Set_Odjezd;
  end;

{ IXMLStaniceTypeList }

  IXMLStaniceTypeList = interface(IXMLNodeCollection)
    ['{32BB8BC6-C303-4B0A-B721-79786399B1CB}']
    { Methods & Properties }
    function Add: IXMLStaniceType;
    function Insert(const Index: Integer): IXMLStaniceType;
    function Get_Item(Index: Integer): IXMLStaniceType;
    property Items[Index: Integer]: IXMLStaniceType read Get_Item; default;
  end;

{ IXMLString_List }

  IXMLString_List = interface(IXMLNodeCollection)
    ['{2D51D189-ADD3-4655-A027-D194A70D9FDF}']
    { Methods & Properties }
    function Add(const Value: WideString): IXMLNode;
    function Insert(const Index: Integer; const Value: WideString): IXMLNode;
    function Get_Item(Index: Integer): WideString;
    property Items[Index: Integer]: WideString read Get_Item; default;
  end;

{ Forward Decls }

  TXMLLinkyType = class;
  TXMLLinkaType = class;
  TXMLStaniceType = class;
  TXMLStaniceTypeList = class;
  TXMLString_List = class;

{ TXMLLinkyType }

  TXMLLinkyType = class(TXMLNodeCollection, IXMLLinkyType)
  protected
    { IXMLLinkyType }
    function Get_Linka(Index: Integer): IXMLLinkaType;
    function Add: IXMLLinkaType;
    function Insert(const Index: Integer): IXMLLinkaType;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLLinkaType }

  TXMLLinkaType = class(TXMLNode, IXMLLinkaType)
  private
    FStanice: IXMLStaniceTypeList;
    FPoznamka: IXMLString_List;
  protected
    { IXMLLinkaType }
    function Get_Cislo: WideString;
    function Get_Stanice: IXMLStaniceTypeList;
    function Get_Poznamka: IXMLString_List;
    procedure Set_Cislo(Value: WideString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLStaniceType }

  TXMLStaniceType = class(TXMLNode, IXMLStaniceType)
  protected
    { IXMLStaniceType }
    function Get_Prijezd: WideString;
    function Get_Odjezd: WideString;
    procedure Set_Prijezd(Value: WideString);
    procedure Set_Odjezd(Value: WideString);
  end;

{ TXMLStaniceTypeList }

  TXMLStaniceTypeList = class(TXMLNodeCollection, IXMLStaniceTypeList)
  protected
    { IXMLStaniceTypeList }
    function Add: IXMLStaniceType;
    function Insert(const Index: Integer): IXMLStaniceType;
    function Get_Item(Index: Integer): IXMLStaniceType;
  end;

{ TXMLString_List }

  TXMLString_List = class(TXMLNodeCollection, IXMLString_List)
  protected
    { IXMLString_List }
    function Add(const Value: WideString): IXMLNode;
    function Insert(const Index: Integer; const Value: WideString): IXMLNode;
    function Get_Item(Index: Integer): WideString;
  end;

{ Global Functions }

function GetLinky(Doc: IXMLDocument): IXMLLinkyType;
function LoadLinky(const FileName: WideString): IXMLLinkyType;
function NewLinky: IXMLLinkyType;

implementation

{ Global Functions }

function GetLinky(Doc: IXMLDocument): IXMLLinkyType;
begin
  Result := Doc.GetDocBinding('Linky', TXMLLinkyType) as IXMLLinkyType;
end;
function LoadLinky(const FileName: WideString): IXMLLinkyType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('Linky', TXMLLinkyType) as IXMLLinkyType;
end;

function NewLinky: IXMLLinkyType;
begin
  Result := NewXMLDocument.GetDocBinding('Linky', TXMLLinkyType) as IXMLLinkyType;
end;

{ TXMLLinkyType }

procedure TXMLLinkyType.AfterConstruction;
begin
  RegisterChildNode('Linka', TXMLLinkaType);
  ItemTag := 'Linka';
  ItemInterface := IXMLLinkaType;
  inherited;
end;

function TXMLLinkyType.Get_Linka(Index: Integer): IXMLLinkaType;
begin
  Result := List[Index] as IXMLLinkaType;
end;

function TXMLLinkyType.Add: IXMLLinkaType;
begin
  Result := AddItem(-1) as IXMLLinkaType;
end;

function TXMLLinkyType.Insert(const Index: Integer): IXMLLinkaType;
begin
  Result := AddItem(Index) as IXMLLinkaType;
end;


{ TXMLLinkaType }

procedure TXMLLinkaType.AfterConstruction;
begin
  RegisterChildNode('Stanice', TXMLStaniceType);
  FStanice := CreateCollection(TXMLStaniceTypeList, IXMLStaniceType, 'Stanice') as IXMLStaniceTypeList;
  FPoznamka := CreateCollection(TXMLString_List, IXMLNode, 'Poznamka') as IXMLString_List;
  inherited;
end;

function TXMLLinkaType.Get_Cislo: WideString;
begin
  Result := AttributeNodes['cislo'].Text;
end;

procedure TXMLLinkaType.Set_Cislo(Value: WideString);
begin
  SetAttribute('cislo', Value);
end;

function TXMLLinkaType.Get_Stanice: IXMLStaniceTypeList;
begin
  Result := FStanice;
end;

function TXMLLinkaType.Get_Poznamka: IXMLString_List;
begin
  Result := FPoznamka;
end;

{ TXMLStaniceType }

function TXMLStaniceType.Get_Prijezd: WideString;
begin
  Result := AttributeNodes['prijezd'].Text;
end;

procedure TXMLStaniceType.Set_Prijezd(Value: WideString);
begin
  SetAttribute('prijezd', Value);
end;

function TXMLStaniceType.Get_Odjezd: WideString;
begin
  Result := AttributeNodes['odjezd'].Text;
end;

procedure TXMLStaniceType.Set_Odjezd(Value: WideString);
begin
  SetAttribute('odjezd', Value);
end;

{ TXMLStaniceTypeList }

function TXMLStaniceTypeList.Add: IXMLStaniceType;
begin
  Result := AddItem(-1) as IXMLStaniceType;
end;

function TXMLStaniceTypeList.Insert(const Index: Integer): IXMLStaniceType;
begin
  Result := AddItem(Index) as IXMLStaniceType;
end;

function TXMLStaniceTypeList.Get_Item(Index: Integer): IXMLStaniceType;
begin
  Result := List[Index] as IXMLStaniceType;
end;

{ TXMLString_List }

function TXMLString_List.Add(const Value: WideString): IXMLNode;
begin
  Result := AddItem(-1);
  Result.NodeValue := Value;
end;


function TXMLString_List.Insert(const Index: Integer; const Value: WideString): IXMLNode;
begin
  Result := AddItem(Index);
  Result.NodeValue := Value;
end;


function TXMLString_List.Get_Item(Index: Integer): WideString;
begin
  Result := List[Index].NodeValue;
end;

end.
